Bug 1427815 - The kernel does not create the /sys/block/<sd device>/devices/enclosure_device symlinks
Summary: The kernel does not create the /sys/block/<sd device>/devices/enclosure_devic...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1394089
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 10:11 UTC by guazhang@redhat.com
Modified: 2019-01-09 12:54 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1394089
Environment:
Last Closed: 2017-04-28 17:17:49 UTC


Attachments (Terms of Use)

Comment 1 Josh Boyer 2017-03-01 12:29:53 UTC
There's a lot of dense information here.  Let me see if I can summarize it appropriately in the context of Fedora.

There are two patches needed to fix this issue.  The first being http://git.kernel.org/cgit/linux/kernel/git/jejb/scsi.git/commit/?h=fixes&id=9373eba6cfae48911b977d14323032cd5d161aae  That is in the 4.10 kernel already, which means Rawhide already has the fix.  It's also already backported to the 4.9.6 stable kernel, which means every other Fedora release has the fix.

The second patch has been sent upstream here: http://www.spinics.net/lists/linux-scsi/msg104876.html but hasn't been reviewed yet.

Is that accurate?

Comment 2 Maurizio Lombardi 2017-03-01 12:34:53 UTC
Yes,  it's accurate.

Comment 4 Justin M. Forbes 2017-04-11 14:45:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2017-04-28 17:17:49 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.